<?php
declare(strict_types=1);

namespace Catequil\User\Model;

/**
 * Interface UserInterface
 *
 * @package Catequil\User\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-user
 */
interface UserInterface
{
    public function getId(): int;
    public function getEmailAddress(): string;
    public function getName(): string;
    public function checkPassword(string $password): bool;
    public function setPassword(string $password): void;
}